Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.lcs
Class LcsFontColorEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.im.impl.FontColorEnum
                  |
                  +--com.compoze.collab.lcs.LcsFontColorEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class LcsFontColorEnum
extends com.compoze.collab.im.impl.FontColorEnum
implements java.io.Serializable

The enumeration class that contains `LcsFontColor` elements.

See Also:
  Serialized Form

Field Summary
`static LcsFontColor` | `AQUA` Font color Aqua
`static LcsFontColor` | `BLUE` Font color Blue
`static LcsFontColor` | `FUCHSIA` Font color Fuchsia
`static LcsFontColor` | `GREEN` Font color Green
`static LcsFontColor` | `GREY` Font color Grey
`static LcsFontColor` | `LIME` Font color Lime
`static LcsFontColor` | `MAROON` Font color Maroon
`static LcsFontColor` | `NAVY` Font color Navy
`static int` | `NUM_ELEMENTS`
`static LcsFontColor` | `OLIVE` Font color Olive
`static LcsFontColor` | `PURPLE` Font color Purple
`static LcsFontColor` | `RED` Font color Red
`static LcsFontColor` | `SILVER` Font color Silver
`static LcsFontColor` | `TEAL` Font color Teal
`static int` | `VALUE_AQUA`
`static int` | `VALUE_BLUE`
`static int` | `VALUE_FUCHSIA`
`static int` | `VALUE_GREEN`
`static int` | `VALUE_GREY`
`static int` | `VALUE_LIME`
`static int` | `VALUE_MAROON`
`static int` | `VALUE_NAVY`
`static int` | `VALUE_OLIVE`
`static int` | `VALUE_PURPLE`
`static int` | `VALUE_RED`
`static int` | `VALUE_SILVER`
`static int` | `VALUE_TEAL`
`static int` | `VALUE_YELLOW`
`static LcsFontColor` | `YELLOW` Font color Yellow

Fields inherited from class com.compoze.collab.im.impl.FontColorEnum
`BLACK, VALUE_BLACK, VALUE_WHITE, WHITE`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `LcsFontColorEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `LcsFontColorEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_MAROON

    public static final int VALUE_MAROON

### VALUE_GREEN

    public static final int VALUE_GREEN

### VALUE_OLIVE

    public static final int VALUE_OLIVE

### VALUE_NAVY

    public static final int VALUE_NAVY

### VALUE_PURPLE

    public static final int VALUE_PURPLE

### VALUE_TEAL

    public static final int VALUE_TEAL

### VALUE_GREY

    public static final int VALUE_GREY

### VALUE_SILVER

    public static final int VALUE_SILVER

### VALUE_RED

    public static final int VALUE_RED

### VALUE_LIME

    public static final int VALUE_LIME

### VALUE_YELLOW

    public static final int VALUE_YELLOW

### VALUE_BLUE

    public static final int VALUE_BLUE

### VALUE_FUCHSIA

    public static final int VALUE_FUCHSIA

### VALUE_AQUA

    public static final int VALUE_AQUA

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### MAROON

    public static final LcsFontColor MAROON

  Font color Maroon

### GREEN

    public static final LcsFontColor GREEN

  Font color Green

### OLIVE

    public static final LcsFontColor OLIVE

  Font color Olive

### NAVY

    public static final LcsFontColor NAVY

  Font color Navy

### PURPLE

    public static final LcsFontColor PURPLE

  Font color Purple

### TEAL

    public static final LcsFontColor TEAL

  Font color Teal

### GREY

    public static final LcsFontColor GREY

  Font color Grey

### SILVER

    public static final LcsFontColor SILVER

  Font color Silver

### RED

    public static final LcsFontColor RED

  Font color Red

### LIME

    public static final LcsFontColor LIME

  Font color Lime

### YELLOW

    public static final LcsFontColor YELLOW

  Font color Yellow

### BLUE

    public static final LcsFontColor BLUE

  Font color Blue

### FUCHSIA

    public static final LcsFontColor FUCHSIA

  Font color Fuchsia

### AQUA

    public static final LcsFontColor AQUA

  Font color Aqua

Constructor Detail

### LcsFontColorEnum

    protected LcsFontColorEnum(java.lang.Class elementClass,
                               int iNumElements,
                               com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                               EnumElement defaultElement,
                               java.lang.String sInternalName,
                               boolean bMaskable)

  Constructor.

### LcsFontColorEnum

    protected LcsFontColorEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.